## NAME

v.pack.py - Exports a vector map as GRASS GIS specific archive file

## KEYWORDS

vector, export, copying

## SYNOPSIS

v.pack.py
v.pack.py --help
v.pack.py [-c] input=name [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-c
  Switch the compression off
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of vector map to pack up
output=name
  Name for output file (default is <input>.pack)

## DESCRIPTION

v.pack collects (packs) vector map elements and support files in GRASS Database and creates an compressed file using gzip algorithm. This file can be used to copy the vector map to another machine. The packed file can be afterwards unpacked by v.unpack.

## NOTES

Name of the pack file is determined by default from input parameter. Optionally the name can be given by output parameter.

## EXAMPLE

Pack up vector map random_point into random_point.pack file.

    v.pack input=random_point

the vector map can be afterwards unpacked by

    v.unpack input=random_point.pack

## SEE ALSO

v.unpack, v.in.ogr, g.copy, v.proj, r.unpack

## AUTHOR

Luca Delucchi, Fondazione E. Mach (Italy), based on the r.pack code

## SOURCE CODE

Available at: v.pack source code (history)

Accessed: Saturday Dec 02 22:29:35 2023

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.3.1 Reference Manual